# Generated by Django 4.1.3 on 2023-01-20 11:32

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('payment_app', '0010_remove_order_charge_id_remove_order_charge_status'),
    ]

    operations = [
        migrations.CreateModel(
            name='ChargeData',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('charge_status', models.CharField(max_length=30, verbose_name='Charge status')),
                ('charge_id', models.CharField(max_length=150, verbose_name='Charge id')),
                ('payment_intent_id', models.CharField(max_length=150, verbose_name='Payment intent id')),
                ('amount_captured', models.IntegerField(verbose_name='Amount captured')),
            ],
            options={
                'verbose_name': 'Charge',
                'verbose_name_plural': 'Charges',
            },
        ),
    ]
